Last modified: 2011-04-15 08:47:17 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 15408 - Locale issues with wikibits.js
Locale issues with wikibits.js
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Parser (Other open bugs)
unspecified
All All
: Low enhancement with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-01 03:30 UTC by SharkD
Modified: 2011-04-15 08:47 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description SharkD 2008-09-01 03:30:06 UTC
Some locale related issues with wikibits.js were broughtr up by User:Alex Smotrov in sections 4, 5 and 6 of this page:

http://en.wikipedia.org/wiki/User:Alex_Smotrov/mw/sortable

The issue stems from the fact that month names (and their abbreviations) differ across locales.
Comment 1 SharkD 2008-09-01 03:32:21 UTC
I forgot to add that the issue may warrant (IMO) making the file editable on a per-locale wiki basis.
Comment 2 Platonides 2009-08-27 12:28:31 UTC
That can be localised by defining on MediaWiki:Common.js a new ts_dateToSortKey() which will override the previous one (like used eg. on eswiki).
Would be desirable to have that automatically based on $wgContentLanguage though.

Also see bug 20418.
Comment 3 DieBuche 2011-01-08 15:19:19 UTC
fixed in patch for Bug 8028
Comment 4 DieBuche 2011-04-15 08:47:17 UTC
Done in r86088

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links